Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api.querydefn
Class OdaDataSourceDesign

    java.lang.Object
      org.eclipse.birt.data.engine.api.querydefn.BaseDataSourceDesign
          org.eclipse.birt.data.engine.api.querydefn.OdaDataSourceDesign

All Implemented Interfaces:
  IBaseDataSourceDesign, IOdaDataSourceDesign

    public class OdaDataSourceDesign

extends BaseDataSourceDesign
implements IOdaDataSourceDesign

Default implementation of the `IOdaDataSourceDesign` interface.

Constructor Summary
`OdaDataSourceDesign(java.lang.String name)` Constructs a data source with the given name

Method Summary
`void` | `addPrivateProperty(java.lang.String name, java.lang.String value)` Adds a private connection property, in the form of a (Name, value) string pair.
`protected void` | `addProperty(java.util.Map properties, java.lang.String name, java.lang.String value)` Adds given value to the named property in the given properties map.
`void` | `addPublicProperty(java.lang.String name, java.lang.String value)` Adds a public connection property, in the form of a (Name, value) string pair.
`java.lang.String` | `getExtensionID()` Gets the data source extension id as defined by ODA driver This property is required in a data source design.
`java.util.Map` | `getPrivateProperties()` Gets the private properties for the data source.
`java.util.Map` | `getPublicProperties()` Gets the public properties for the data source.
`void` | `setExtensionID(java.lang.String id)` Sets the data source extension id as defined by ODA driver

Methods inherited from class org.eclipse.birt.data.engine.api.querydefn.BaseDataSourceDesign
`getAfterCloseScript, getAfterOpenScript, getBeforeCloseScript, getBeforeOpenScript, getEventHandler, getName, setAfterCloseScript, setAfterOpenScript, setBeforeCloseScript, setBeforeOpenScript, setEventHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.birt.data.engine.api.IBaseDataSourceDesign
`getAfterCloseScript, getAfterOpenScript, getBeforeCloseScript, getBeforeOpenScript, getEventHandler, getName`

Constructor Detail

### OdaDataSourceDesign

    public OdaDataSourceDesign(java.lang.String name)

  Constructs a data source with the given name

Method Detail

### getExtensionID

    public java.lang.String getExtensionID()

  Gets the data source extension id as defined by ODA driver This property is required in a data source design.

  Specified by:
    `getExtensionID` in interface `IOdaDataSourceDesign`
  Returns:
    The data source extension id

### setExtensionID

    public void setExtensionID(java.lang.String id)

  Sets the data source extension id as defined by ODA driver

  Parameters:
    `id` - The data source extension id

### getPublicProperties

    public java.util.Map getPublicProperties()

  Gets the public properties for the data source.

  Specified by:
    `getPublicProperties` in interface `IOdaDataSourceDesign`
  Returns:
    public properties as a map. Null if no public property is defined for the data source

### getPrivateProperties

    public java.util.Map getPrivateProperties()

  Gets the private properties for the data source.

  Specified by:
    `getPrivateProperties` in interface `IOdaDataSourceDesign`
  Returns:
    private properties as a map. Null if no public property is defined for the data source

### addPublicProperty

    public void addPublicProperty(java.lang.String name,
                                  java.lang.String value)
                           throws org.eclipse.birt.core.exception.BirtException

  Adds a public connection property, in the form of a (Name, value) string pair. Each data source property name must be unique within the data source, and has a single value.

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### addPrivateProperty

    public void addPrivateProperty(java.lang.String name,
                                   java.lang.String value)
                            throws org.eclipse.birt.core.exception.BirtException

  Adds a private connection property, in the form of a (Name, value) string pair. Each data source property name must be unique within the data source, and has a single value.

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### addProperty

    protected void addProperty(java.util.Map properties,
                               java.lang.String name,
                               java.lang.String value)
                        throws org.eclipse.birt.core.exception.BirtException

  Adds given value to the named property in the given properties map. Each named property must be unique.

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.